Логотип   Простое и понятное управление
  Уникальные возможности по настройке
  Open Server скачали уже 1 022 201 раз!

Форум

Добро пожаловать, Гость!

Установка старой версии PHP

Вопросы по работе с Apache, Nginx, PHP, MySQL, Sendmail и т.д.
sqrd
Сообщения: 1
C нами: 3 года 5 мес

Непрочитанное сообщение sqrd » 19 июн 2013, 20:49

Как установить php 5.1.6 на openserver? Пробовал создавать папку в модулях/пхп с 5.1.6 В меню php появляется эта версия, но сервер больше не запускается. Явно чего то не хватает, но.. :oops: Научите, если не сложно.

Аватара пользователя
Максим
Сообщения: 4878
C нами: 5 лет 11 мес
Контакты:

Непрочитанное сообщение Максим » 19 июн 2013, 22:09

Так ему там кучу всего не хватает, начиная от модулей для современного апача и заканчивая невозможностью запуска под FastCGI. В столь старой версии PHP такой опции как -b (bind) вообще не было. На Nginx вы такое старьё не запустите, а на апаче может получиться, но вам нужно искать Apache 2, не 2,3 не 2,2 а просто старую версию по имени Apache 2, потом составить под этот апач нужный конфиг для Open Server и вот только тогда возможно у вас получится всё это дело запустить.

sqrd писал(а):Научите, если не сложно.

Научить чему, поиску файлов старой версии php и апача в гугле, копированию файлов и редактированию конфигов? Нет уж, вы и сами всё это можете.

Чтобы сделать новый модуль надо скопировать его в папку с модулями , например modules/php/ и скопировать конфиг этого модуля в папку userdata/config/. Формат имён файлов конфигурации и так же сам формат шаблонов можете посмотреть в существующих конфигах.


Вернуться в «Модули и инструменты»

Кто сейчас на конференции

Сейчас этот форум просматривают: Bing [Bot] и 0 гостей